#
# Conditional build:
%bcond_with	license_agreement	# generates package
#
%define		base_name	acroread
%define		rel		1
Summary:	Adobe Acrobat Reader
Summary(pl.UTF-8):	Adobe Acrobat Reader - czytnik plików PDF
Summary(ru.UTF-8):	Программа для чтения документов в формате PDF от Adobe
Summary(uk.UTF-8):	Програма для читання документів у форматі PDF від Adobe
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	9.5.3
Release:	%{rel}%{?with_license_agreement:wla}
Epoch:		1
License:	distribution restricted (http://www.adobe.com/products/acrobat/distribute.html)
# in short:
# - not distributable on public sites (only linking to adobe.com permitted)
# - distribution on CD requires signing Distribution Agreement (see URL above)
Group:		X11/Applications/Graphics
%if %{with license_agreement}
Source0:	ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/%{version}/enu/AdbeRdr%{version}-1_i486linux_enu.tar.bz2
# NoSource0-md5:	aeb7cdb8b675b3e01e32233d167fb1eb
NoSource:	0
%else
Source1:	http://svn.pld-linux.org/svn/license-installer/license-installer.sh
# Source1-md5:	329c25f457fea66ec502b7ef70cb9ede
%endif
# please update @COPYSOURCES@ below if you add more Sources or Patches.
Source2:	%{base_name}.desktop
Source3:	%{base_name}.png
URL:		http://www.adobe.com/products/acrobat/
%if %{with license_agreement}
BuildRequires:	rpmbuild(macros) >= 1.357
Requires:	ca-certificates >= 20080809-4
Requires:	iconv
Requires:	openldap-libs < 2.5
Requires:	openldap-libs >= 2.4
%else
Requires:	rpm-build-tools >= 4.4.37
Requires:	rpmbuild(macros) >= 1.544
%endif
ExclusiveArch:	%{ix86}
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		platform	intellinux
%define		tar0		ILINXR.TAR
%define		tar1		COMMON.TAR

%define		_noautostrip	.*\.api
%define		_noautoprov	libcrypto\.so.* libssl\.so.* libcurl\.so.* libicu.* libstdc++\.so.* libgcc_s\.so.*
%define		_noautoreq	%{_noautoprov} '^lib.*\.so$' '^lib.*\\(VERSION\\)$'
%define         no_install_post_check_so        1
%define		skip_post_check_so libWRServices.so.3.1 libadobelinguistic.so.3.2.0 libauthplay.so.0.0.0

%description
Adobe(R) Reader(R) is free software that lets you view and print PDF
files (Portable Document Format) on a variety of hardware and
operating system platforms.

%description -l pl.UTF-8
Adobe(R) Reader(R) jest darmowym oprogramowaniem umożliwiającym
oglądanie oraz drukowanie plików PDF (Portable Document Format) na
różnych platformach sprzętowych oraz różnych systemach operacyjnych.

%description -l ru.UTF-8
Программа для чтения документов в формате Portable Document Format
(PDF), сгенерированных Adobe Acrobat'ом.

%description -l uk.UTF-8
Програма для читання документів у форматі Portable Document Format
(PDF), згенерованих Adobe Acrobat'ом.

%package -n browser-plugin-%{name}
Summary:	PDF plugin for Mozilla compatible browsers
Summary(pl.UTF-8):	Wtyczka PDF dla przeglądarek zgodnych Mozilla
Group:		X11/Applications
Requires:	%{base_name} = %{epoch}:%{version}-%{release}
Requires:	browser-plugins >= 2.0
Obsoletes:	acroread-plugin
Obsoletes:	mozilla-plugin-acroread

%description -n browser-plugin-%{name}
A Mozilla plugin for displaying PDF (Portable Document Format) files.

%description -n browser-plugin-%{name} -l pl.UTF-8
Wtyczka Mozilli do wyświetlania plików PDF (Portable Document Format).

%prep
%if %{with license_agreement}
%setup -q -c
cd AdobeReader
tar xf %{tar0}
tar xf %{tar1}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
	s/@COPYSOURCES@/%{base_name}{.desktop,.png}/g
' %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

install %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{base_name}/bin} \
	$RPM_BUILD_ROOT{%{_browserpluginsdir},%{_desktopdir},%{_pixmapsdir}}

cd AdobeReader/Adobe/Reader9
cp -a Browser Reader Resource $RPM_BUILD_ROOT%{_libdir}/%{base_name}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Browser/install_browser_plugin
awk -v INSTDIR=%{_libdir}/%{base_name}/Reader \
	'/^install_dir=/ {print "install_dir="INSTDIR; next} \
	{print}' \
	bin/%{base_name} > $RPM_BUILD_ROOT%{_libdir}/%{base_name}/bin/%{base_name}

# IMPORTANT NOTE: Here symlinks must be used instead of moving parts of tree
# for compatibility with other binary-only Adobe software (like AIR).
# This one is required to find Reader tree (relative to symlink target)...
ln -sf %{_libdir}/%{base_name}/bin/%{base_name} $RPM_BUILD_ROOT%{_bindir}/%{base_name}
# ...and nppdf plugin is expected in Browser subdir...
# ...so just symlink it to be used as browsers plugin.
ln -sf %{_libdir}/%{base_name}/Browser/%{platform}/nppdf.so $RPM_BUILD_ROOT%{_browserpluginsdir}/nppdf.so

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -sf /usr/lib/liblber-2.4.so.2 $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/%{platform}/lib/liblber.so
ln -sf /usr/lib/libldap-2.4.so.2 $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/%{platform}/lib/libldap.so
ln -sf /etc/certs/ca-certificates.crt $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/Cert/curl-ca-bundle.crt

# don't generate dependencies for internal libs
chmod a-x $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/%{platform}/lib/*.so.*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install
%endif

%if %{with license_agreement}
%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%endif

%files
%defattr(644,root,root,755)
%if %{without license_agreement}
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%else
%doc AdobeReader/ReadMe.htm
%attr(755,root,root) %{_bindir}/acroread
%dir %{_libdir}/%{base_name}
%dir %{_libdir}/%{base_name}/Browser
%dir %{_libdir}/%{base_name}/Browser/%{platform}
%attr(755,root,root) %{_libdir}/%{base_name}/Browser/%{platform}/nppdf.so
%{_libdir}/%{base_name}/Browser/HowTo
%dir %{_libdir}/%{base_name}/Reader
%{_libdir}/%{base_name}/Reader/help
%{_libdir}/%{base_name}/Reader/AcroVersion
%{_libdir}/%{base_name}/Reader/Cert
%{_libdir}/%{base_name}/Reader/GlobalPrefs
%{_libdir}/%{base_name}/Reader/IDTemplates
%{_libdir}/%{base_name}/Reader/JavaScripts
%{_libdir}/%{base_name}/Reader/Legal
%{_libdir}/%{base_name}/Reader/Tracker
%{_libdir}/%{base_name}/Reader/PDFSigQFormalRep.pdf
%{_libdir}/%{base_name}/Reader/pmd.cer
%{_libdir}/%{base_name}/Reader/%{platform}/mozilla
%dir %{_libdir}/%{base_name}/Reader/%{platform}
%dir %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins
%dir %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/Multimedia
%dir %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins3d
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/SPPlugins
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/bin
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/lib
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/*.api
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins3d/*.x3d
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/Multimedia/MPP
%{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/AcroForm
%{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/Annotations
%{_libdir}/%{base_name}/Reader/%{platform}/plug_ins3d/prc
%{_libdir}/%{base_name}/Resource
%dir %{_libdir}/%{base_name}/bin
%attr(755,root,root) %{_libdir}/%{base_name}/bin/acroread
%{_desktopdir}/acroread.desktop
%{_pixmapsdir}/acroread.png

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/nppdf.so
%endif
%changelog
* Mon Jan 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/acroread-installer.git;a=log;h=master

* Mon Jan 28 2013 Kacper Kornet <draenog@pld-linux.org> 5978523
- up to 9.5.3 (CVE-2012-1530, CVE-2013-0601, CVE-2013-0602,
  CVE-2013-0603, CVE-2013-0604, CVE-2013-0605, CVE-2013-0606,
  CVE-2013-0607, CVE-2013-0608, CVE-2013-0609, CVE-2013-0610,
  CVE-2013-0611, CVE-2013-0612, CVE-2013-0613, CVE-2013-0614,
  CVE-2013-0615, CVE-2013-0616, CVE-2013-0617, CVE-2013-0618,
  CVE-2013-0619, CVE-2013-0620, CVE-2013-0621, CVE-2013-0623,
  CVE-2013-0626)
- escape parentheses in _noautoreq as required by rpm5

* Sat Apr 14 2012 Jan Rękorajski <baggins@pld-linux.org> cf646d8
- 9.5.1

* Thu Jan 19 2012 Kacper Kornet <draenog@pld-linux.org> a7c55aa
- up to 9.4.7

* Sun Apr 10 2011 Jakub Bogusz <qboosh@pld-linux.org> a0e9a49
- removed obsolete rm
- package nppdf plugin and acroread script in a way compatible with other Adobe
  software, like AIR (tested with AIR 2.6)
- rel 3

* Thu Mar 17 2011 Krzysztof Krakowiak <evil@pld-linux.org> 165eb06
- up to 9.4.2

* Fri Nov 05 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 55224ac
- icon with transparent background

* Wed Oct 20 2010 pawelz <pawelz@pld-linux.org> bab42c0
- skip_post_check_so (we can't fix linking because we don't have sources)
- rel 2

* Mon Oct 11 2010 Kacper Kornet <draenog@pld-linux.org> d33fe00
- correct md5sum for license-installer.sh

* Mon Oct 11 2010 Kacper Kornet <draenog@pld-linux.org> 90aa1fb
- correct accidental changes to Source0-md5 lines

* Mon Oct 11 2010 Kacper Kornet <draenog@pld-linux.org> feb5d64
- up to 9.4.0 (CVE-2010-2883, CVE-2010-2884, CVE-2010-2887, CVE-2010-2888,
  CVE-2010-2889, CVE-2010-2890, CVE-2010-3619, CVE-2010-3620, CVE-2010-3621,
  CVE-2010-3622, CVE-2010-3623, CVE-2010-3624, CVE-2010-3625, CVE-2010-3626,
  CVE-2010-3627, CVE-2010-3628, CVE-2010-3629, CVE-2010-3630, CVE-2010-3631,
  CVE-2010-3632, CVE-2010-3656, CVE-2010-3657, CVE-2010-3658)
- no_install_post_check_so

* Fri Sep 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 69e4e20
- updated ca-bundle path + ca-certificates R

* Fri Sep 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 4d433c2
- restored proper bcond value

* Fri Aug 20 2010 Kacper Kornet <draenog@pld-linux.org> f6aff24
- 9.3.4

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> 72426ec
- use rpmbuild(macros) virtual, not direct package name

* Thu May 13 2010 Paweł Gołaszewski <blues@pld-linux.org> c3e9202
- 9.3.2

* Tue Apr 06 2010 Paweł Gołaszewski <blues@pld-linux.org> 3353987
- 9.3.1

* Sun Apr 04 2010 pawelz <pawelz@pld-linux.org> 81f6ad3
- blah, I incremented E instead of R.
- fixed. E: 1, R: 3

* Sun Apr 04 2010 pawelz <pawelz@pld-linux.org> 18faefb
- sorted deps
- modified previous commit log: (license-installer.sh updated to 11298)

* Sun Apr 04 2010 pawelz <pawelz@pld-linux.org> 3170d06
- license-installer.sh updated to 11298
- rel 2

* Fri Jan 15 2010 Krzysztof Krakowiak <evil@pld-linux.org> bcaf265
- R: iconv (and finally works on 64bit :)

